# Interface methods for submodule: SpatialObjectToImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageSourceProxy as _ImageSourceProxy


# Interface methods for class: SpatialObjectToImageFilter
class SpatialObjectToImageFilterProxy(_ImageSourceProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetInput(self, input) -> None:
		""""""
		...

	@overload
	def SetInput(self, arg0: int, object) -> None:
		""""""
		...

	@overload
	def GetInput(self):
		""""""
		...

	@overload
	def GetInput(self, idx: int):
		""""""
		...

	@overload
	def SetSpacing(self, spacing: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetSpacing(self, spacing) -> None:
		""""""
		...

	def GetSpacing(self):
		""""""
		...

	def SetDirection(self, dir) -> None:
		""""""
		...

	def GetDirection(self):
		""""""
		...

	@overload
	def SetInsideValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetInsideValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetInsideValue(self) -> float:
		""""""
		...

	@overload
	def GetInsideValue(self) -> int:
		""""""
		...

	@overload
	def SetOutsideValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetOutsideValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetOutsideValue(self) -> float:
		""""""
		...

	@overload
	def GetOutsideValue(self) -> int:
		""""""
		...

	@overload
	def SetOrigin(self, origin: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetOrigin(self, origin) -> None:
		""""""
		...

	def GetOrigin(self):
		""""""
		...

	def SetIndex(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetIndex(self) -> Sequence[int]:
		""""""
		...

	def SetChildrenDepth(self, _arg: int) -> None:
		""""""
		...

	def GetChildrenDepth(self) -> int:
		""""""
		...

	def SetSize(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetSize(self) -> Sequence[int]:
		""""""
		...

	def SetUseObjectValue(self, _arg: bool) -> None:
		""""""
		...

	def GetUseObjectValue(self) -> bool:
		""""""
		...

	def UseObjectValueOn(self) -> None:
		""""""
		...

	def UseObjectValueOff(self) -> None:
		""""""
		...

